VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::NtpTypes::TestStatusInfo Class Reference

`Ntp.TestStatusInfo` class Overall test result More...

List of all members.

## Public Member Functions
| TestStatusInfo ()
| Creates a default new instance.
vmware.appliance.techpreview.NtpTypes.TestStatus | GetStatus ()
| Overall status of tests run.
void | SetStatus (vmware.appliance.techpreview.NtpTypes.TestStatus status)
| Overall status of tests run.
global::System.Collections.Generic.List < vmware.appliance.techpreview.NtpTypes.Message > | GetMessages ()
| messages
void | SetMessages (global::System.Collections.Generic.List< vmware.appliance.techpreview.NtpTypes.Message > messages)
| messages
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Ntp.TestStatusInfo` class Overall test result

## Constructor & Destructor Documentation

vmware::appliance::techpreview::NtpTypes::TestStatusInfo::TestStatusInfo | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::techpreview::NtpTypes::TestStatusInfo::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::techpreview::NtpTypes::TestStatusInfo::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::techpreview::NtpTypes::TestStatusInfo::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::techpreview::NtpTypes::TestStatusInfo::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::techpreview::NtpTypes::TestStatusInfo::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::techpreview::NtpTypes::TestStatusInfo::Equals | ( | object | obj | ) | `[inline]`

override int vmware::appliance::techpreview::NtpTypes::TestStatusInfo::GetHashCode | ( |  | ) | `[inline]`

global::System.Collections.Generic.List<vmware.appliance.techpreview.NtpTypes.Message> vmware::appliance::techpreview::NtpTypes::TestStatusInfo::GetMessages | ( |  | ) | `[inline]`

messages

vmware.appliance.techpreview.NtpTypes.TestStatus vmware::appliance::techpreview::NtpTypes::TestStatusInfo::GetStatus | ( |  | ) | `[inline]`

Overall status of tests run.

void vmware::appliance::techpreview::NtpTypes::TestStatusInfo::SetMessages | ( | global::System.Collections.Generic.List< vmware.appliance.techpreview.NtpTypes.Message > | messages | ) | `[inline]`

messages

void vmware::appliance::techpreview::NtpTypes::TestStatusInfo::SetStatus | ( | vmware.appliance.techpreview.NtpTypes.TestStatus | status | ) | `[inline]`

Overall status of tests run.

override string vmware::appliance::techpreview::NtpTypes::TestStatusInfo::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- NtpTypes.cs